# module Colorize::ObjectExtensions

##
Direct including types

- Object

##
Defined in:

colorize.cr

##
Instance Method Summary

- #colorize(r : UInt8, g : UInt8, b : UInt8)

  Wraps `self` in a `Colorize::Object` and colors it with the given `Color256` made up from the given red, green and blue values.

- #colorize(fore : UInt8)

  Wraps `self` in a `Colorize::Object` and colors it with the given `Color256` made up from the single fore byte.

- #colorize(fore : Symbol)

  Wraps `self` in a `Colorize::Object` and colors it with the given fore color.

- #colorize(fore : Color)

  Wraps `self` in a `Colorize::Object` and colors it with the given fore `Color`.

- #colorize : Colorize::Object

  Turns `self` into a `Colorize::Object`.

##
Instance Method Detail

def colorize(r : UInt8, g : UInt8, b : UInt8) #

Wraps `self` in a `Colorize::Object` and colors it with the given `Color256` made up from the given red, green and blue values.

def colorize(fore : UInt8) #

Wraps `self` in a `Colorize::Object` and colors it with the given `Color256` made up from the single fore byte.

def colorize(fore : Symbol) #

Wraps `self` in a `Colorize::Object` and colors it with the given fore color.

def colorize(fore : Color) #

Wraps `self` in a `Colorize::Object` and colors it with the given fore `Color`.

def colorize : Colorize::Object #

Turns `self` into a `Colorize::Object`.